Bug 35752 - New port: devel/cvsbook: a free book about CVS
New port: devel/cvsbook: a free book about CVS
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-10 23:30 UTC by ports
Modified: 2002-03-25 22:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2002-03-10 23:30:00 UTC
This port contains the free chapters of the Coriolis book "Open Source
Development with CVS" by Karl Fogel.

Fix: --8<----8<----8<----8<----8<----8<----8<----8<----8<----8<--


--8<----8<----8<----8<----8<----8<----8<----8<----8<----8<----QoxkU4991hFlX3lBKwUkXg8yQagsIgBIsT2Y2708EUHG4bzt
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	devel/cvsbook
#	devel/cvsbook/distinfo
#	devel/cvsbook/Makefile
#	devel/cvsbook/pkg-comment
#	devel/cvsbook/pkg-descr
#	devel/cvsbook/pkg-plist
#
echo c - devel/cvsbook
mkdir -p devel/cvsbook > /dev/null 2>&1
echo x - devel/cvsbook/distinfo
sed 's/^X//' >devel/cvsbook/distinfo << 'END-of-devel/cvsbook/distinfo'
XMD5 (cvsbook-1.21-all.tar.gz) = 409b1ce76dbd152e766e1dfdcb121cdc
END-of-devel/cvsbook/distinfo
echo x - devel/cvsbook/Makefile
sed 's/^X//' >devel/cvsbook/Makefile << 'END-of-devel/cvsbook/Makefile'
X# ex:ts=8
X#
X# New ports collection makefile for:	cvsbook
X# Date created:		2002/02/28
X# Whom:			Alan Eldridge alane@geeksrus.net
X#
X# $FreeBSD$
X#
X
XPORTNAME=	cvsbook
XPORTVERSION=	1.21
XCATEGORIES=	devel
XMASTER_SITES=	http://cvsbook.red-bean.com/
XDISTNAME=	${PORTNAME}-${PORTVERSION}-all
X
XMAINTAINER=	ports@geeksrus.net
X
XNO_BUILD=	yes
XWRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
XPLIST_SUB+=	DOCSDIR=${DOCSDIR:S,${PREFIX}/,,}
X
Xdo-install:
X	@${MKDIR} ${DOCSDIR}
X	@${INSTALL_DATA} ${WRKSRC}/cvsbook.html ${DOCSDIR}
X	@${INSTALL_DATA} ${WRKSRC}/cvsbook.pdf ${DOCSDIR}
X	@${INSTALL_DATA} ${WRKSRC}/cvsbook.ps ${DOCSDIR}
X	@${INSTALL_DATA} ${WRKSRC}/cvsbook.info* ${PREFIX}/info
X	@install-info ${PREFIX}/info/cvsbook.info ${PREFIX}/info/dir
X
X.include <bsd.port.mk>
X
X#
X#EOF
END-of-devel/cvsbook/Makefile
echo x - devel/cvsbook/pkg-comment
sed 's/^X//' >devel/cvsbook/pkg-comment << 'END-of-devel/cvsbook/pkg-comment'
XA tutorial and reference for CVS
END-of-devel/cvsbook/pkg-comment
echo x - devel/cvsbook/pkg-descr
sed 's/^X//' >devel/cvsbook/pkg-descr << 'END-of-devel/cvsbook/pkg-descr'
XOpen Source Development with CVS is a book published by Coriolis
XInc. as part of the Coriolis OpenPress series. Chapters 2, 4, 6, 8, 9,
Xand 10 -- comprising a complete introduction, tutorial and reference
Xto CVS -- are being released free under the terms of the GNU General
XPublic License.
X
XThis port installs HTML, GNU Info, PDF, and Postscript formats.
X
XWWW: http://cvsbook.red-bean.com/
X
X--AlanE <ports@geeksrus.net>
END-of-devel/cvsbook/pkg-descr
echo x - devel/cvsbook/pkg-plist
sed 's/^X//' >devel/cvsbook/pkg-plist << 'END-of-devel/cvsbook/pkg-plist'
X%%DOCSDIR%%/cvsbook.html
X%%DOCSDIR%%/cvsbook.pdf
X%%DOCSDIR%%/cvsbook.ps
X@unexec install-info --delete %D/info/cvsbook.info %D/info/dir
Xinfo/cvsbook.info
Xinfo/cvsbook.info-1
Xinfo/cvsbook.info-10
Xinfo/cvsbook.info-11
Xinfo/cvsbook.info-12
Xinfo/cvsbook.info-13
Xinfo/cvsbook.info-2
Xinfo/cvsbook.info-3
Xinfo/cvsbook.info-4
Xinfo/cvsbook.info-5
Xinfo/cvsbook.info-6
Xinfo/cvsbook.info-7
Xinfo/cvsbook.info-8
Xinfo/cvsbook.info-9
X@exec install-info %D/info/cvsbook.info %D/info/dir
X@dirrm %%DOCSDIR%%
END-of-devel/cvsbook/pkg-plist
exit
Comment 1 petef freebsd_committer 2002-03-25 22:22:17 UTC
State Changed
From-To: open->closed

New port added, thanks!